srf_info(1)

NAME

srf_info - Lists information about the contents of an SRF file

SYNOPSIS

srf_info [-l bitmap] srf_archive ...

DESCRIPTION

srf_info lists some simple frequency metrics on the contents of an SRF file, both in terms of how many traces there are and the sort of data held within them.

For efficiencies sake some control is given over which statistics to gather and display. This is controlled by the -l level parameter. The value is the summation of one or more of the following values, representing the data to display.

1   Count of good/bad reads.

2   Counts and compressed size for selected chunk types.

4   Trace count and trace name prefix for each trace_header.

8   Base count.

OPTIONS

-l bitmap
    Controls which statistics to gather and display. Bitmap is a value from 0 to 15 (1+2+4+8) as described in the DESCRIPTION section above.

EXAMPLES

To count the total number of good and bad reads along with a break down of trace names per SRF data-block-header we would use bitmap values 1 and 4 combined.

    srf_info -l 5 foo.srf

To count the total number of reads for all srf files in a directory.

    srf_info -l 1 *.srf

AUTHOR

Steven Leonard, Wellcome Trust Sanger Institute